Bug 14163 - "Show all" in acquisition confusing
Summary: "Show all" in acquisition confusing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-07 08:45 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14163: Acq order form: rename 'Show all' to 'Show inactive' (1.48 KB, patch)
2015-05-25 08:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14163: Acq order form: rename 'Show all' to 'Show inactive' (1.53 KB, patch)
2015-05-26 08:51 UTC, tadeas.moravec
Details | Diff | Splinter Review
Bug 14163: Acq - receive shipment and order from staged: rename 'Show all' to 'Show inactive' (3.55 KB, patch)
2015-05-31 14:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14163: Acq - receive shipment and order from staged: rename 'Show all' to 'Show inactive' (3.62 KB, patch)
2015-06-18 14:47 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14163: Acq order form: rename 'Show all' to 'Show inactive' (1.60 KB, patch)
2015-06-18 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14163: Acq - receive shipment and order from staged: rename 'Show all' to 'Show inactive' (3.71 KB, patch)
2015-06-18 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-07 08:45:00 UTC
On the order form there is a checkbox next to the fund list labelled 'show all'. I think the description is not very clear here as librares are asking about the effect of the checkbox. Suggestion: relabel it to say: show inactive.
Comment 1 Katrin Fischer 2015-05-25 08:49:08 UTC Comment hidden (obsolete)
Comment 2 tadeas.moravec 2015-05-26 08:51:17 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-26 13:24:23 UTC
Katrin,
'Show all' is used at several places.
If we change one, I think we should change of all them in one go.

At least:
acqui/addorderiso2709.tt
acqui/parcels.tt
Comment 4 Katrin Fischer 2015-05-31 14:00:07 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-05-31 14:00:41 UTC
(In reply to Jonathan Druart from comment #3)
> Katrin,
> 'Show all' is used at several places.
> If we change one, I think we should change of all them in one go.
> 
> At least:
> acqui/addorderiso2709.tt
> acqui/parcels.tt

Hi Jonathan,
thx for failing ;) Hope the follow-up covers them all now.
Comment 6 Bernardo Gonzalez Kriegel 2015-06-18 14:47:05 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-06-18 14:52:11 UTC
Created attachment 40311 [details] [review]
Bug 14163: Acq order form: rename 'Show all' to 'Show inactive'

On the order form there is a checkbox next to the fund list labelled
'show all'. Checking the checkbox will result in the inactive funds
showing in the pull down list as well.

The patch renames the label to 'Show inactive' to make the purpose
more clear.

To test:
- Create a new order
- Verify the label has changed as described above
- Decide if the change makes sense

Signed-off-by: tadeasm <tadeas.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 8 Jonathan Druart 2015-06-18 14:52:15 UTC
Created attachment 40312 [details] [review]
Bug 14163: Acq - receive shipment and order from staged: rename 'Show all' to 'Show inactive'

'Show all' in acquisition makes the inactive funds in the fund list
box visible. This patch changes the text to 'Show inactive' to be more
clear about the functionality.

Patch changes 2 pages. To test:

1) Order from staged file
- make sure you have uploaded a few records via the tools
- create a new order using the 'From a staged file' option
- select a file to order from - 'Add orders'
- Verify the 'Select to import' tab now displayed the text
  'Show inactive funds' and that it works as expected
- Switch to the 'Default accounting details' tab
- Verify the text there is also changed to 'Show inactive' and
  works like expected.

2) Receive shipment
- receive a new shipment for a vendor with unreceived orders
- Verify the label next to the fund list has changed to
  'Show inactive' and works as expected.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Simple string change, no errors.

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 9 Tomás Cohen Arazi 2015-07-08 18:18:46 UTC
Patches pushed to master.

Thanks Katrina!
Comment 10 Chris Cormack 2015-07-14 08:57:35 UTC
Pushed to 3.20.x will be in 3.20.2